new Vue({
	el: "#home",
	data() {
		return {
            isBig: true, // 大图标
            realNameShow: false, // 实名认证是否显示
            cardActiveShow: false, // 进卡显示
            diamondActiveShow: false, // 进钻石
            incardShow: false, // 玩家充卡
            inDiamondShow: false, // 玩家充钻石
            reviewShow: false, // 核实玩家信息
            clickSwich: true,
            errorIs109: false,
			publicIsShow: false, // 公告弹窗

            hasRealName: false, // 是否实名制
            headbg: "images/default_head.png",

            noticeList: [],
            info: {}, // 个人信息
            infoData: {
                award: 0,
            }, // 个人具体信息
			publicData: {}, // 公告弹窗数据

            realName: {
                name: "",
                idcard: ""
            },
            incard: {
                game_user_id: "",
                add_number: "",
                avatar: "",
                name: "",
                sex: ""
            },
            awardActive: {},
            comboPropCount: "",
            needMoney: "",
            goodsNum: 1,
            totalMoney: 0,

            searchUrl: "",
            searchUrl_diamonds: "",
            loopTime: 0,
            isIOS : false,
            playerInfo: {},// 玩家信息
            activityIsShow: false,
            activityTitle: '吉祥'
        };
    },
    created() {
        const href = window.location.host
        let startTime = +new Date('2020/12/27 00:00:00')
        if (href.indexOf('jixiang') === -1) {
            this.activityTitle = '心悦'
            startTime = +new Date('2020/12/28 00:00:00')
        }
        const endTime = +new Date('2020/12/31 23:59:59')
        const newTime = +new Date()
        if (startTime <= newTime && newTime <= endTime) {
          this.activityIsShow = true  
        }
    },
    mounted() {
        console.log('1')
        // window.location.href = ''
        this.init();
    },
    methods: {
        //进入个人信息
        gotoInfo(){
            window.location.href = 'info.html'
        },
        gotoOffical() {
            window.location.href = 'offical.html'
        },
        init() {
            var windowWidth =
                    document.body.clientWidth ||
                    document.documentElement.clientWidth,
                windowHeight =
                    document.body.clientHeight ||
                    document.documentElement.clientHeight;
            if (windowWidth / windowHeight <= 414 / 624) {
                this.isBig = true;
            } else {
                this.isBig = false;
            }
            this.getUserInfo(); //获取用户信息
            // this.getLocation(); // 获取地理位置
        },
        /*
         * 关闭下面弹出层
         */
        closeAlert() {
            this.realNameShow = false;
            this.cardActiveShow = false;
            this.diamondActiveShow = false;
            this.incardShow = false;
            this.inDiamondShow = false;
            this.reviewShow = false;
            this.goodsNum = 1;
        },
        /*
         * 显示实名认证的弹出层
         */
        showRealName() {
            this.realNameShow = true;
        },
        // 获取充值页面需要的数据
        showCardActive(type) {
            var _this = this
            var apiUrl = ''
            if (type == "card") {
                this.cardActiveShow = true;
                getAjax('/api/buy/getroomcardcombo','post',{},function(res){
                    _this.awardActive = res.data
                    _this.comboPropCount = Object.keys(_this.awardActive.combo)[0];
                    _this.needMoney = _this.awardActive.combo[_this.comboPropCount];
                    _this.totalMoney = _this.awardActive.combo[_this.comboPropCount];
                })
            } else {
                this.diamondActiveShow = true;
                getAjax('/api/buy/getdiamondscombo','post',{},function(res){
                    _this.awardActive = res.data
                    _this.comboPropCount = Object.keys(_this.awardActive.combo)[0];
                    _this.needMoney = _this.awardActive.combo[_this.comboPropCount];
                    _this.totalMoney = _this.awardActive.combo[_this.comboPropCount];
                })
            }
            
        },
        // 点击房卡或者钻石进货
        clickPurchase(type) {
            return this.hasRealName ? this.showCardActive(type) : this.showRealName();
        },
        /**
         * 玩家充卡充钻
         * @param  {[string]} type [card 代表卡 diamonds 代表钻石]
         */
        showIncard(type) {
            if (type == "card") {
                this.incardShow = true;
            } else {
                this.inDiamondShow = true;
            }
            // if(is_wexin()) {
                
            // } else {
            //     this.$toast({
            //         message: "请在微信中进行此操作"
            //     })
            // }
        },
        /**
         * 用卡查询和钻石查询
         * @param  {[string]} type [card 代表卡 diamonds 代表钻石]
         */
        jumpSearch(type) {
            window.location.href = 'search.html?type=' + type
        },
        // 获取用户信息
        getUserInfo() {
            var _this = this
            // this.$indicator.open({
			// 	text: '加载中...',
			// 	spinnerType: 'fading-circle'
			// });
            getAjax('/api/buy/getuserinfo','post',{},function(res){
                _this.info = res
                _this.infoData = res.data;
                if (_this.infoData.idcard === '') {
                    _this.hasRealName = false
                } else {
                    _this.hasRealName = true
                }
                //_this.showPublic(res);
            })
        },
		
		/** 判断是否出现公告弹框 */
		showPublic(res) {
			var isShowId = this.api.getCookie('isShowId');
			var data = res.public_content || null;
			if(isShowId == data.id || data.show != 1) return; // 只显示一次，如果当前用户已经看过则不显示
			this.publicIsShow = true;
			this.publicData = data || {};
			this.api.setCookie('isShowId', data.id, 365);
		},

        // 实名认证
        submitName() {
            var _this = this
            this.realName.name = this.realName.name.trim();
            this.realName.idcard = this.realName.idcard.trim();
            getAjax('/api/buy/setidcard','post',this.realName,function(res){
                _this.closeAlert();
                _this.hasRealName = true;
            },true)
        },

        // 审核玩家信息
        showReview() {
            var _this = this
            if (this.incard.game_user_id == "") {
                _this.$toast({
                    message: "请输入游戏ID"
                });
                return;
            } else if (this.incard.add_number == "") {
                _this.$toast({
                    message: "请输入数量"
                });
                return;
            }
            var params = {
                game_user_id: this.incard.game_user_id
            }
            // 调用玩家审核信息
            getAjax('/api/buy/checkgameuser','post',params,function(res){
                _this.incard.name = res.data.nickname;
                _this.incard.avatar = res.data.avatar;
                _this.playerInfo = res.data
                _this.resetDiv();
                _this.reviewShow = true;
                if (_this.incard.name === '') {
                    _this.$toast({
                        message: "该用户不存在无法充值"
                    });
                }
                
            })
        },
        
        resetDiv() {//ios 兼容，input失去焦点后界面上移不恢复的问题
            setTimeout(() => {
                let scrollHeight = document.documentElement.scrollTop || document.body.scrollTop || 0;
                window.scrollTo(0, Math.max(scrollHeight - 1, 0));
            }, 100)
        },
        // 玩家充卡
        palyerInCard() {
            var _this = this
            if (_this.playerInfo.nickname === '') {
                _this.$toast({
                    message: "该用户不存在无法充值"
                });
                return false;
            }
            var params = {
                game_user_id: this.incard.game_user_id.trim(),
                number: this.incard.add_number.trim(),
                appid: this.playerInfo.appid,
                city: this.playerInfo.city,
                chanelid: this.playerInfo.chanelid,
                devicecode: this.playerInfo.devicecode
            };
            var url = this.incardShow ? '/api/buy/saleroomcard' : '/api/buy/salediamonds'
            getAjax(url,'post',params,function(res){
                _this.reviewShow = false;
                _this.getUserInfo();
                _this.closeAlert();
            },true)
        },

        // 领取奖励
        receiveAward() {
            var _this = this
            getAjax('/api/buy/receiverewards','post',{},function(res){
                _this.$messagebox({
                    title: "本次领取的奖励",
                    message: res.msg
                });
                _this.getUserInfo()
            })
        },

        // 减少进卡数
        reduceCard() {
            let data = this.awardActive,
                count = this.goodsNum;
            if (count > 1) {
                count--;
            }
            this.totalMoney = count * data.combo[this.comboPropCount];
            this.goodsNum = count;
        },

        // 增加进卡
        addCard() {
            let data = this.awardActive,
                count = this.goodsNum;
            count++;
            this.totalMoney = count * data.combo[this.comboPropCount];
            this.goodsNum = count;
        },
        // 进卡
        buyCard(propType) {
            var _this = this;
            if(is_IOS()){
                window.location.href = 'pay.html?token='+ getCookie('token') + '&prop_type='+ propType +'&money=' + this.needMoney + '&prop_count=' + this.comboPropCount + '&number=' + this.goodsNum + '&type=' + 2
            }
            // else if(is_IOS() && !is_wexin()){
            //     if (!this.clickSwich) {
            //         return;
            //     }
            //     this.$toast({
            //         message: "即将支付请稍等"
            //     });
            //     this.clickSwich = false;
            //     let params = {
            //         prop_type: propType == "card" ? 'roomcard' : 'diamonds',
            //         channel: "wechatH5",
            //         money: this.needMoney,
            //         prop_count: this.comboPropCount,
            //         number: this.goodsNum
            //     };

            //     if (propType == "diamonds") {
            //         var message = `您已成功购买 <span class="red">${ Number(params.prop_count) * Number(params.number)}</span> 个钻石!`;
            //     } else {
            //         var message = `您已成功购买 <span class="red">${ Number(params.prop_count) * Number(params.number)}</span> 张点卡!`;
            //     }
            //     getAjax('/api/buy/pay','post',params,function(res){
            //         window.location.href = res.callbackurl;
            //     },false,function(res){
            //         this.clickSwich = true;
            //         _this.$toast({
            //             message: res.msg
            //         });
            //     })
            // }
            else{
                if (!this.clickSwich) {
                    return;
                }
                this.$toast({
                    message: "即将支付请稍等"
                });
                this.clickSwich = false;
                let params = {
                    prop_type: propType == "card" ? 'roomcard' : 'diamonds',
                    channel: "wechatWeb",
                    money: this.needMoney,
                    prop_count: this.comboPropCount,
                    number: this.goodsNum
                };

                if (propType == "diamonds") {
                    var message = `您已成功购买 <span class="red">${ Number(params.prop_count) * Number(params.number)}</span> 个钻石!`;
                } else {
                    var message = `您已成功购买 <span class="red">${ Number(params.prop_count) * Number(params.number)}</span> 张点卡!`;
                }
                getAjax('/api/buy/pay','post',params,function(res){
                    let ext = res.data;
                    let options = {
                        appId: ext.appId,
                        timeStamp: ext.timeStamp,
                        nonceStr: ext.nonceStr,
                        package: ext.package,
                        signType: ext.signType,
                        paySign: ext.paySign
                    };
                    WeixinJSBridge.invoke(
                        "getBrandWCPayRequest",
                        options,
                        function(res) {
                            // alert(JSON.stringify(res))
                            if ("string" != typeof res.err_msg) {
                                _this.clickSwich = true;
                                return _this.$toast({
                                    message: "支付异常"
                                });
                            }
                            
                            switch (res.err_msg) {
                                case "get_brand_wcpay_request:ok":
                                    // alert(JSON.stringify(res))
                                    _this.$messagebox({
                                        title: "提示",
                                        message
                                    }).then(res1 => {
                                        _this.clickSwich = true;
                                        _this.getUserInfo();
                                        _this.closeAlert();
                                    })
                                    .catch(err => {
                                        console.log(err.message);
                                    });
                                    break;
                                case "get_brand_wcpay_request:cancel":
                                    break;
                                case "get_brand_wcpay_request:fail":
                                    return _this.$toast({
                                        message: `支付失败${
                                            window.location.href
                                        }`
                                    });
                                    break;
                                default:
                                    return _this.$toast({
                                        message: "支付返回结果异常"
                                    });
                            }
                            _this.clickSwich = true;
                        }
                    );
                },false,function(res){
                    this.clickSwich = true;
                    _this.$toast({
                        message: res.msg
                    });
                })
            }
            
            
        },

        inputBlur() {
            this.isFocus = false;
            setTimeout(() => {
                if (!this.isFocus) {
                    document.body.scrollTop = 0;
                    this.isFocus = false;
                }
            }, 100);
        },

        inputFocus() {
            this.isFocus = true;
        },

        // 获取地理信息
        getLocation(type) {
            var _this = this;
            this.api.get(this.api.path.getWx).then(res => {
                
                console.log(res);
                wx.config(res);
                wx.ready(function() {
                    wx.checkJsApi({
                        jsApiList: res.jsApiList,
                        success: function(res) {
                            if (res.checkResult.getLocation == false) {
                                _this.$toast({
                                    message:
                                        "您的微信版本不支持获取位置，请升级！"
                                });
                                return;
                            } else {
                                wx.getLocation({
                                    success: function(res) {
                                        _this.errorIs109 = true;
                                        _this.sendLocation(
                                            res.longitude,
                                            res.latitude
                                        );
                                        if (type) {
                                            return _this.hasRealName
                                                ? _this.showCardActive(type)
                                                : _this.showRealName();
                                        }
                                    },
                                    cancel: function(res) {
                                        /* Toast({
											message: "无法获得地址信息，请刷新页面"
										}) */
                                    }
                                });
                            }
                        }
                    });
                });
            });
        },

        sendLocation(lon, lat) {
            this.api
                .post(`${this.api.path.changeRegion}/${lon}/${lat}`)
                .then(res => {
                    console.log(res);
                });
        },
		
		// 关闭公告弹窗
		closePublic() {
			this.publicIsShow = false;
        },
        
		// 关闭公告弹窗
		closeActivity() {
			this.activityIsShow = false;
		},

		// 跳到公告页面
		gotoPublic() {
			window.location.href = this.publicData.link;
		},
    }
})